Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::TransferSwitch::Statistics Struct Reference

Transfer switch statistics. More...

## Public Attributes
int | transferCount
| Number of transfers since device startup.
int | powerFailDetectTime
| Detection time in us for the last inlet power failure.
int | relayOpenTime
| Time in us until all relays have opened during the last transfer.
int | totalTransferTime
| Total time in us for last transfer.

## Detailed Description

Transfer switch statistics.

Definition at line 96 of file TransferSwitch.idl.

## Member Data Documentation

## ◆ powerFailDetectTime

int pdumodel::TransferSwitch::Statistics::powerFailDetectTime

Detection time in us for the last inlet power failure.

Definition at line 98 of file TransferSwitch.idl.

## ◆ relayOpenTime

int pdumodel::TransferSwitch::Statistics::relayOpenTime

Time in us until all relays have opened during the last transfer.

Definition at line 99 of file TransferSwitch.idl.

## ◆ totalTransferTime

int pdumodel::TransferSwitch::Statistics::totalTransferTime

Total time in us for last transfer.

Definition at line 100 of file TransferSwitch.idl.

## ◆ transferCount

int pdumodel::TransferSwitch::Statistics::transferCount

Number of transfers since device startup.

Definition at line 97 of file TransferSwitch.idl.

The documentation for this struct was generated from the following file:

- TransferSwitch.idl